Subject: [ipfix] [Fwd: Re: IPFIX protcol draft security section]

From: Mark Fullmer <[email-masked]>
Date: Wed, 21 Jan 2004 15:18:24 -0500

On Jan 21, 2004, at 11:06 AM, Sebastian Zander wrote:
>
> I agree that the cookie is better than the sequence number. But from a 
> security
> viewpoint it is a potentially dangerous solution IMO. Not only because 
> of sniffing
> which makes the cookie completly useless. Also because if the cookie 
> is pre-configured

It's a light weight proposal that is only applicable to blind attacks, 
ie they
don't have access to the wire.

> it is static and will probably never change. This gives attackers a 
> long time for
> trying to discover it. Furthermore I would expect that people use the 
> same cookie for
> all their exporters and collectors because they don't want to manually 
> set up
> and maintain lots of cookies. So you have different points which can 
> be attacked and
> if the attackers suceeds at one point the secret cookie for all is 
> exposed. Even worse
> it could happen that there will be a default cookie setup in a 
> software or hardware
> product which the admin "forgets" to change. Actually in the old days 
> systems where
> delivered with a default root password... At least these threads must 
> be discussed
> in the draft together with recommendations to mitigate them.

A collector would need to be configured to require the cookie.  There 
wouldn't need
to be defaults.

>
> I thought about a different proposal: have a secret. Than a crypto 
> hash over the exporter id,
> collector id, time and secret can be put into the packet. This way you 
> have something
> like a session key which can be changed from time to time and the 
> master key (the
> secret) never gets exposed. The collector has to compute the session 
> key only
> when it changes, otherwise it just compares the actual value with the 
> last one.

I was thinking about something like this too, the problem is "time."  
Lose time
synchronization and you lose your flows.  Probably not a requirement 
that would fly.

> This way you have 1) a number of different keys and if one is 
> discovered only one
> exporter-collector connection is affected, 2) a new key can be 
> produced without changing
> the master secret for all. If the exporter id is not publicly known 
> even the knowledge of
> the secret would not enable an attacker to produce a proper session 
> key (assuming the
> exporter id is not easily guessable). Still vulnerable to sniffing.
>
> Actually I am not really convinced of having something like a cookie 
> at all because
> either you run ipfix in your "secure" network: no sniffing and 
> spoofing can be prevented
> by proper ingress filtering (what you pointed out before). Otherwise 
> use IPSec or TLS.

IPSEC, even just message authentication is probably too much to ask for 
current
service provider backbone routers.  Cookies provide a useful middle 
ground.

--
mark

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/